Ubuntu 16 : No PHP-FPM packages were found on this system

Hi,

I do a re check due to problem on php cgi/fpm/mod .

The Re-Check Configuration give me the following :

The status of your system is being checked to ensure that all enabled features are available, that the mail server is properly configured, and that quotas are active .. Your system has 31.38 GB of memory, which is at or above the Virtualmin recommended minimum of 256 MB. BIND DNS server is installed, and the system is configured to use it.

Mail server Postfix is installed and configured.

Postfix can support per-domain outgoing IP addresses, but is not currently configured to do so. This can be setup in the Postfix Mailserver module.

Apache is installed.

The following PHP versions are available : 5.6.40 (/usr/bin/php-cgi5.6), 7.0.33 (/usr/bin/php-cgi7.0), 7.2.19 (/usr/bin/php-cgi7.2), 7.3.6 (/usr/bin/php-cgi7.3), 7.0 (mod_php)

No PHP-FPM packages were found on this system.

Webalizer is installed.

Apache is configured to host SSL websites.

MySQL is installed and running.

ProFTPD is installed.

Logrotate is installed.

SpamAssassin and Procmail are installed and configured for use.

ClamAV is installed and assumed to be running.

Plugin AWstats reporting is installed OK.

Plugin DAV Login is installed OK.

Plugin Protected web directories is installed OK.

Using network interface eth0 for virtual IPs.

IPv6 addresses are available, using interface eth0.

Both user and group quotas are enabled for home and email directories.

All commands needed to create and restore backups are installed.

The selected package management and update systems are installed OK.

Chroot jails are available on this system

… your system is ready for use by Virtualmin.

This is the list of all PHP packages installed :


# dpkg --get-selections | grep php

dh-php install libapache2-mod-php5.6 install libapache2-mod-php7.0 install libapache2-mod-php7.2 install libapache2-mod-php7.3 install php install php-cgi install php-cli install php-common install php-curl install php-gd install php-imagick install php-mbstring install php-mysql install php-pear install php-xml install php5.6 install php5.6-bcmath install php5.6-cgi install php5.6-cli install php5.6-common install php5.6-curl install php5.6-dev install php5.6-fpm install php5.6-gd install php5.6-imap install php5.6-intl install php5.6-json install php5.6-mbstring install php5.6-mcrypt install php5.6-mysql install php5.6-opcache install php5.6-readline install php5.6-soap install php5.6-xml install php5.6-zip install php7.0 install php7.0-bcmath install php7.0-cgi install php7.0-cli install php7.0-common install php7.0-curl install php7.0-dev install php7.0-fpm install php7.0-gd install php7.0-imap install php7.0-intl install php7.0-json install php7.0-mbstring install php7.0-mcrypt install php7.0-mysql install php7.0-opcache install php7.0-readline install php7.0-soap install php7.0-xml install php7.0-zip install php7.2 install php7.2-bcmath install php7.2-cgi install php7.2-cli install php7.2-common install php7.2-curl install php7.2-fpm install php7.2-gd install php7.2-imap install php7.2-json install php7.2-mbstring install php7.2-mysql install php7.2-opcache install php7.2-readline install php7.2-soap install php7.2-xml install php7.3 install php7.3-bcmath install php7.3-bz2 install php7.3-cgi install php7.3-cli install php7.3-common install php7.3-curl install php7.3-fpm install php7.3-gd install php7.3-imap install php7.3-intl install php7.3-json install php7.3-mbstring install php7.3-mysql install php7.3-opcache install php7.3-readline install php7.3-soap install php7.3-xml install php7.3-zip install pkg-php-tools install webmin-php-pear install

Why I have this message No PHP-FPM packages were found on this system ?

Thanks for your help,
Mike

1 Like

I do a file switch with https://github.com/virtualmin/virtualmin-gpl/commits/master/php-lib.pl after reading https://www.virtualmin.com/node/55788 and now The following PHP-FPM versions are available on this system : 5.6.40 7.0.4 7.2.19 7.3.6

Great, I have to check now if it’s work. Any other thing to do ?

1 Like

Howdy-,

Those updates will be part of the next Virtualmin version, though manually applying that should work in the meantime.

Let us know if you see any issues with that though!

-Eric

1 Like

In fact I see in one of the website setings :
PHP-FPM Configuration > Manage PHP Configuration
/etc/php/5.6/fpm/pool.d/14604952219640.conf

But I activate the PHP 7.3 in PHP Versions config, and in fact i can see from the website than the PHP 7.3.6-1+ubuntu16.04.1+deb.sury.org+1 is used …
Is the Manage PHP Configuration display is wrong ?

ls: cannot access ‘/etc/php/5.6/fpm/pool.d/14604952219640.conf’: No such file or directory

The right file is in the right folder : /etc/php/7.3/fpm/pool.d/14604952219640.conf

It look a display error on PHP-FPM Configuration : Manage PHP Configuration interface. Any update for this ?

Thanks

Hello Andrey, so judging by your comment we should just sit back and wait for you guys to push the next version of VirtualMin? We just apt-get update and php-fpm will be installed, configured and understood by VirtualMin? I really don’t wanna break my server by using 3rd party repo or something and go through the struggle of configuring things by hand ;p

Thanks. Oh, and any ETA on that next update?

Again, really thank you. You guys are awesome!

I’m also very interested in this.
@Mike Castro Demaria how did you do it manually? I assume it has something to do with this commit:
https://github.com/virtualmin/virtualmin-gpl/commit/2be6c3c121dbb31282d34b5a8f32bb8a3ae82a1b#diff-53e2555ae1d19ce86e8126729965b0fb
But where do I edit those files and make the changes happen? Simply editing the files (/usr/share/webmin/virtual-server/lang/en, /usr/share/webmin/virtual-server/php-lib.pl and /usr/share/webmin/virtual-server/virtual-server-lib-funcs.pl) doesn’t seem to work.
Or do I need to do anything else?

EDIT: nevermind, I was looking at the wrong commit, wasn’t I? There are tons of them regarding multiple PHP versions and FPM support. :frowning:

My question still applies: how do I make the changes in the code happen?

1 Like